
D4Science Infrastructure - VM Creation #12592

StorageHub in preproduction

Oct 02, 2018 05:06 PM - Roberto Cirillo

Status: Closed Start date: Oct 02, 2018

Priority: Urgent Due date: Oct 12, 2018

Assignee: Lucio Lelii % Done: 100%

Target version: UnSprintable   

Infrastructure: Pre-Production Applications list and

version:

storagehub latest version

RAM: 16 Applications context

path:

storagehub

CPU: 8 External storage data

disk:

120 under /data

40 under /tomcat/temp

DiskSpace: 30 Smartgears auth

connector:

 

Smartgears: Yes data transfer

enabled:

No

Smartgears Version: latest PostgreSQL

database:

Yes

Application

Instructions:

 Number of VMs: 1

Smartgears scopes: /gcube/preprod with allow child option   

Description

This new service should serve the preproduction VO: /gcube/preprod

History

#1 - Oct 02, 2018 05:08 PM - Roberto Cirillo

I've just copied the VM requirements used in dev environment: #12592. @lucio.lelii@isti.cnr.it  feel free to resize this VM.

#2 - Oct 02, 2018 06:30 PM - Andrea Dell'Amico

- RAM changed from 8 to 16

- CPU changed from 16 to 8

- PostgreSQL database changed from No to Yes

#3 - Oct 10, 2018 12:55 PM - Roberto Cirillo

- Priority changed from Normal to High

#4 - Oct 10, 2018 12:55 PM - Roberto Cirillo

- Due date set to Oct 12, 2018

#5 - Oct 10, 2018 05:07 PM - Tommaso Piccioli

- Status changed from New to In Progress

- % Done changed from 0 to 30

New VM storagehub.pre.d4science.net running, to be provisioned.

#6 - Oct 11, 2018 10:22 AM - Roberto Cirillo

I'm not able to access to storagehub.pre.d4science.net please could you give me access?

#7 - Oct 11, 2018 11:21 AM - Roberto Cirillo

@lucio.lelii@isti.cnr.it the smartgears_hostname should be the same of homelibrary hostname as done in production or different?
#8 - Oct 11, 2018 03:55 PM - Tommaso Piccioli

Roberto Cirillo wrote:

I'm not able to access to storagehub.pre.d4science.net please could you give me access?

 Sorry, done now.

#9 - Oct 11, 2018 05:01 PM - Roberto Cirillo

I've notice that the external storage data disk described in the description are not added. Please could you add the required data disk? 

#10 - Oct 15, 2018 10:13 AM - Roberto Cirillo

- Priority changed from High to Urgent

#11 - Oct 15, 2018 12:26 PM - Tommaso Piccioli

Roberto Cirillo wrote:

I've notice that the external storage data disk described in the description are not added. Please could you add the required data disk?

 Could you please specify the disk size?

These are the dimensions on storagehub1.d4science.org

Filesystem      Size  Used Avail Use% Mounted on

/dev/xvda2       40G  2.5G   38G   7% /

/dev/xvda3      120G   55G   66G  46% /data

/dev/xvda4       40G   33M   40G   1% /tomcat/temp

#12 - Oct 15, 2018 12:36 PM - Roberto Cirillo

The external storage data disk are specified in the description as usual.

#13 - Oct 16, 2018 06:13 PM - Roberto Cirillo

I've launched the playbook but I see the following exception:

SQLNestedException: Cannot create PoolableConnectionFactory (FATAL: no pg_hba.conf entry for host "146.48.123.

180", user "ws-repo-pre-user", database "ws-repo-pre", SSL off)

 I guess it's needed to open the postgres to the new storagehub instance.

Please could you check?

#14 - Oct 16, 2018 06:42 PM - Roberto Cirillo

I've pushed right now the new storagehub preproduction files

#15 - Oct 17, 2018 10:38 AM - Roberto Cirillo

- Assignee changed from _InfraScience Systems Engineer to Roberto Cirillo

- % Done changed from 30 to 100

I've opened the postgres to the new storagehub instance and now it seems to work fine.

#16 - Oct 17, 2018 10:40 AM - Roberto Cirillo

- Status changed from In Progress to Feedback

- Assignee changed from Roberto Cirillo to Lucio Lelii

Please @lucio.lelii@isti.cnr.it  could you check if the service is configured properly now?

#17 - Oct 17, 2018 12:23 PM - Lucio Lelii

it seems ok

#18 - Oct 17, 2018 12:55 PM - Roberto Cirillo

- Status changed from Feedback to Closed

Dec 14, 2025 2/3



Good news. I'm going to close this ticket
